Subject: bug#56407: 29.0.50; desktop.el shouldn't be saving/restoring eglot--managed-mode, which is not for interactive use

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 06 Jul 2022 15:52:51 +0200

João Távora <[email-masked]> writes:

> Why is it the easiest one?  Because I've just remembered an obvious 
> drawback of the symbol-property approach: it will only work on Emacs trunk, 
> _unless_ we make the little dance (that I've done a few times) of making 
> desktop.el a GNU ELPA :core  package and making eglot.el depend on 
> that package (which is different from _requiring_ the load of that package).
>
> Lars, what do you think?

Hm, I'd forgotten that eglot was also an ELPA package.

Making desktop a :core package is fine by me, but you're right that it'd
be easier to use with-eval-after-load here.  (I'm still in favour of
adding the symbol-plist thing for desktop as a more long term solution,
but we can do both.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no